ROOT(1)

NAME
root - Interpretor of C++ for the ROOT framework

SYNOPSIS
root [options] files ...

DESCRIPTION
ROOTs Object-Oriented Technologies.

root is a interactive interpretor of C++ code. It uses the ROOT framework. For more information on ROOT, please refer to http://root.cern.ch.

An extensive Users Guide is available from that site.

OPTIONS
-? Show summary of options.

-b  Run in batch mode without graphics

-n  Do not execute logon and logoff macros as specified in .rootrc

-q  Exit after processing command line macro files

-l  Do not show splash screen

SEE ALSO
rootcint(1), cint(1), root-config(1), rootd(1), h2root(1), g2root(1)

For extensive documentation on the ROOT system, see http://root.cern.ch (http://root.cern.ch)

A Users Guide is available online. (http://root.cern.ch/root/UsersGuide.html)

The classes of ROOT are all documented by the automatic documentation system, and is available online. (http://root.cern.ch/root/html/ClassIndex.html)

FILES

<etcdir>/system.rootrc
    System-wide configuration file. <etcdir> either ROOTSYS, or something like /etc/root

<libdir>/*
    ROOT C++ class libraries. <libdir> is either ROOTSYS/lib or something like /usr/lib/root.

<incdir>/*
    The header files for the ROOT C++ class libraries. <incdir> is either ROOTSYS/include or something like /usr/include/root.

~/.rootrc, ./.rootrc
    User configuration file

ORIGINAL AUTHORS
The ROOT team (see web page above):
    Rene Brun and Fons Rademakers

COPYRIGHT
This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

AUTHOR
This manual page was written by Christian Holm Christensen <cholm@nbi.dk>, for the Debian GNU/Linux system (but may be used by others).